org.apache.hc.client5.http.async

## Interface AsyncExecRuntime

    @Internal
    public interface AsyncExecRuntime

Execution runtime that provides access to the underlying connection endpoint and helps manager its life cycle.

This interface is considered internal and generally ought not be used or accessed by custom request exec handlers.

Since:
  5.0

### Method Summary

Methods
`void` `acquireConnection(HttpRoute route, Object state, HttpClientContext clientContext, org.apache.hc.core5.concurrent.FutureCallback<AsyncExecRuntime> callback)`
`void` `connect(HttpClientContext clientContext, org.apache.hc.core5.concurrent.FutureCallback<AsyncExecRuntime> callback)`
`void` `discardConnection()`
`void` `disconnect()`
`void` `execute(org.apache.hc.core5.http.nio.AsyncClientExchangeHandler exchangeHandler, HttpClientContext context)` Initiates a message exchange using the given handler.
`boolean` `isConnected()`
`boolean` `isConnectionAcquired()`
`boolean` `isConnectionReusable()`
`void` `markConnectionNonReusable()`
`void` `markConnectionReusable()`
`void` `releaseConnection()`
`void` `setConnectionState(Object state)`
`void` `setConnectionValidFor(org.apache.hc.core5.util.TimeValue duration)`
`void` `upgradeTls(HttpClientContext context)`
`boolean` `validateConnection()`

### Method Detail

#### isConnectionAcquired

    boolean isConnectionAcquired()

#### acquireConnection

    void acquireConnection(HttpRoute route,
                         Object state,
                         HttpClientContext clientContext,
                         org.apache.hc.core5.concurrent.FutureCallback<AsyncExecRuntime> callback)

#### releaseConnection

    void releaseConnection()

#### discardConnection

    void discardConnection()

#### isConnected

    boolean isConnected()

#### disconnect

    void disconnect()

#### connect

    void connect(HttpClientContext clientContext,
               org.apache.hc.core5.concurrent.FutureCallback<AsyncExecRuntime> callback)

#### upgradeTls

    void upgradeTls(HttpClientContext context)

#### execute

    void execute(org.apache.hc.core5.http.nio.AsyncClientExchangeHandler exchangeHandler,
               HttpClientContext context)

Initiates a message exchange using the given handler.

#### validateConnection

    boolean validateConnection()

#### isConnectionReusable

    boolean isConnectionReusable()

#### markConnectionReusable

    void markConnectionReusable()

#### markConnectionNonReusable

    void markConnectionNonReusable()

#### setConnectionState

    void setConnectionState(Object state)

#### setConnectionValidFor

    void setConnectionValidFor(org.apache.hc.core5.util.TimeValue duration)